aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2000-02-08 20:27:02 +0000
committerBill Nottingham <notting@redhat.com>2000-02-08 20:27:02 +0000
commit86d21e93b2cd2ada639be6a3748fa438d9ee1c9d (patch)
treedb0b2ad95839410dfb398d3d32fc360621dcd01b
parent55ab4ca15fb19f62e4d65747a350cc1e12de79e9 (diff)
downloadinitscripts-86d21e93b2cd2ada639be6a3748fa438d9ee1c9d.tar
initscripts-86d21e93b2cd2ada639be6a3748fa438d9ee1c9d.tar.gz
initscripts-86d21e93b2cd2ada639be6a3748fa438d9ee1c9d.tar.bz2
initscripts-86d21e93b2cd2ada639be6a3748fa438d9ee1c9d.tar.xz
initscripts-86d21e93b2cd2ada639be6a3748fa438d9ee1c9d.zip
load modules, not aliases. Also, load sound-slot-0 if aliased
-rw-r--r--ChangeLog8
-rwxr-xr-xrc.d/rc.sysinit9
2 files changed, 7 insertions, 10 deletions
diff --git a/ChangeLog b/ChangeLog
index 89f17574..8bde7dcb 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -18,14 +18,6 @@
2000-02-04 Bill Nottingham <notting@redhat.com>
- * ChangeLog, initscripts.spec:
- *** empty log message ***
-
- * lang.csh, lang.sh:
- if LC_ALL/LINGUAS == LANG, don't set them
-
-2000-02-04 Bill Nottingham <notting@redhat.com>
-
* lang.csh, lang.sh:
if LC_ALL/LINGUAS == LANG, don't set them
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 0fd30a69..f5860992 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -265,12 +265,17 @@ fi
RETURN=0
alias=`egrep -s "^alias[[:space:]]+sound[[:space:]]+" /etc/conf.modules | awk '{ print $3 }'`
if [ -n "$alias" -a "$alias" != "off" ] ; then
- action "Loading sound module ($alias)" modprobe sound
+ action "Loading sound module ($alias)" modprobe $alias
+ RETURN=$?
+fi
+alias=`egrep -s "^alias[[:space:]]+sound-slot-0[[:space:]]+" /etc/conf.modules | awk '{ print $3 }'`
+if [ -n "$alias" -a "$alias" != "off" ] ; then
+ action "Loading sound module ($alias)" modprobe $alias
RETURN=$?
fi
alias=`egrep -s "^alias[[:space:]]+midi[[:space:]]+" /etc/conf.modules | awk '{ print $3 }'`
if [ -n "$alias" -a "$alias" != "off" ]; then
- action "Loading midi module ($alias)" modprobe midi
+ action "Loading midi module ($alias)" modprobe $alias
fi
# Load mixer settings